Bug 1454462 - poco-devel missing a dependency on openssl-devel
Summary: poco-devel missing a dependency on openssl-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: poco
Version: 25
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Scott Talbert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-22 20:14 UTC by Mohammed Safwat
Modified: 2017-06-09 19:13 UTC (History)
3 users (show)

Fixed In Version: poco-1.7.8p2-3.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-09 19:13:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Mohammed Safwat 2017-05-22 20:14:38 UTC
Description of problem:
When I try to include the header file /usr/include/Poco/Crypto/OpenSSLInitializer.h inside a source file and then compile it, I get the following error:

In file included from /usr/include/Poco/Crypto/X509Certificate.h:24:0,
                 from /usr/include/Poco/Net/Context.h:25,
                 from /usr/include/Poco/Net/Utility.h:24,
                 from /usr/include/Poco/Net/HTTPSClientSession.h:24,
                 from main.cpp:11:
/usr/include/Poco/Crypto/OpenSSLInitializer.h:26:28: fatal error: openssl/crypto.h: No such file or directory
 #include <openssl/crypto.h>

Version-Release number of selected component (if applicable):
1.7.3-5

How reproducible:
always, consistently, systematically

Steps to Reproduce:
1. Create a source cpp file(let's name it poco-dev-test.cpp) with the following single line:

#include <Poco/Crypto/X509Certificate.h>

2. Compile the file using this command.

make poco-dev-test.o

Actual results:
g++    -c -o poco-dev-test.o poco-dev-test.cpp
In file included from /usr/include/Poco/Crypto/X509Certificate.h:24:0,
                 from poco-dev-test.cpp:1:
/usr/include/Poco/Crypto/OpenSSLInitializer.h:26:28: fatal error: openssl/crypto.h: No such file or directory
 #include <openssl/crypto.h>
                            ^
compilation terminated.
<builtin>: recipe for target 'poco-dev-test.o' failed
make: *** [poco-dev-test.o] Error 1

Expected results:
g++    -c -o poco-dev-test.o poco-dev-test.cpp

Additional info:

Comment 1 Scott Talbert 2017-05-23 02:12:31 UTC
Thanks for the bug report.  I'm planning to fix in F26+ (and not update F24 or F25 unless you need it badly - let me know) as there is a pretty straightforward workaround.

Comment 2 Mohammed Safwat 2017-05-23 12:56:52 UTC
No problem. I'm also planning to upgrade to F26 when it's officially released.

Comment 3 Fedora Update System 2017-05-27 00:14:26 UTC
poco-1.7.8p2-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-de6ce529d4

Comment 4 Fedora Update System 2017-05-27 20:36:43 UTC
poco-1.7.8p2-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-de6ce529d4

Comment 5 Fedora Update System 2017-06-09 19:13:13 UTC
poco-1.7.8p2-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.